org.eclipse.gef4.zest.core.widgets.gestures

## Class ZoomGestureListener

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.gestures.ZoomGestureListener

All Implemented Interfaces:
  java.util.EventListener, GestureListener, org.eclipse.swt.internal.SWTEventListener

    public class ZoomGestureListener
    extends java.lang.Object
    implements GestureListener

A simple magnify gesture listener class that calls an associated `ZoomManager` class to perform zooming.

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`ZoomGestureListener()`

### Method Summary

Methods
`void` `gesture(GestureEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZoomGestureListener

    public ZoomGestureListener()

### Method Detail

#### gesture

    public void gesture(GestureEvent e)

Specified by:
  `gesture` in interface `GestureListener`